Copyright: Made with the help of Makertf 1.04


About this help file

This file was made with the help of Makertf 1.04 from the input file makertf.tex.

Readme File for makertf version 1.04.

Copyright (C) 1994, 1995, 1996 Christian Schenk


Node: Top, Next: What is Makertf?, Prev: (dir), Up: (dir)	About this help file

Readme File for Makertf 1.04

by Christian Schenk

This is the Readme File for Makertf version 1.04.

* Menu:

What is Makertf?	What is Makertf?

Installation	How to install Makertf

makertf Invocation	How to run Makertf

Help Project Files	Help Project Files

Makeinfo changes	Changes to makeinfo.c

Getting the Help Compiler	Getting the Help Compiler

Copying	Copying

Bugs	Reporting Bugs


What is Makertf
Node: What is Makertf?, Next: Installation, Prev: Top, Up: Top

What is Makertf

Makertf converts "Texinfo" file into "Rich Text Format" (RTF) files.  You can use Makertf in conjunction with the Windows Help Compiler to make Windows Help Files from documentation written in Texinfo.

Makertf is derived from Makeinfo 1.64, which is a part of the GNU Texinfo documentation system.


How to install Makertf
Node: Installation, Next: makertf Invocation, Prev: What is Makertf?, Up: Top

How to install Makertf

Copy the files makertf.exe and cwsdpmi.exe into a directory of your choice. Make sure that this directory is reachable via the environment variable PATH.


How to Run Makertf
Node: makertf Invocation, Next: Help Project Files, Prev: Installation, Up: Top

How to Run Makertf

The usual way to invoke Makertf is as follows:

makertf [options] infile

Makertf accepts most of the command line options available for Makeinfo. This is a list of the most common options:

--output file

-o file

Specify that the output should be directed to file.

--verbose

Cause Makertf to display messages saying what it is doing.

--version

Report the version number of this copy of Makertf.

In addition, Makertf accepts the following option:

--hpj file

Cause Makertf to create a help project file.


Help Project Files
Node: Help Project Files, Next: Makeinfo changes, Prev: makertf Invocation, Up: Top

Help Project Files

You specify options for the Windows Help Compiler by editing a "Help Project File" (HPJ File). For example, this is the HPJ File for makertf.hlp:

[options]
title=Makertf 1.04
compress=yes
contents=top

[files]
makertf.rtf

With the --hpj option you can tell Makertf to create an HPJ file for you.


Changes to makeinfo.c
Node: Makeinfo changes, Next: Getting the Help Compiler, Prev: Help Project Files, Up: Top

Changes to makeinfo.c

Changes to the source code of Makeinfo 1.64 are listed in the file makertf.pat, which is distributed together with Makertf. You can apply the change with the help of the GNU Patch Utility:

patch --output=makertf.c makeinfo.c makertf.pat

Makeinfo is part of the GNU Texinfo documentation system.  You can get GNU Texinfo from host prep.ai.mit.edu using anonymous FTP:

ftp://prep.ai.mit.edu/pub/gnu/texinfo-3.7.tar.gz

To build the DOS/Windows95 version of Makertf, you will need DJGPP 2.0, a port of GNU C/C++ for DOS.  See the web page http://www.delorie.com/ for more information.


Getting the Help Compiler
Node: Getting the Help Compiler, Next: Copying, Prev: Makeinfo changes, Up: Top

Getting the Help Compiler

The Windows Help Compiler is available via anonymous FTP from host ftp.microsoft.com:

ftp://ftp.microsoft.com/Softlib/MSLFILES/HC305.EXE


Copying
Node: Copying, Next: Bugs, Prev: Getting the Help Compiler, Up: Top

Copying

Makertf is free software. You are welcome to redistribute it under the terms of the GNU General Public License (see file COPYING).


Reporting Bugs
Node: Bugs, Next: , Prev: Copying, Up: Top

Reporting Bugs

Please send suggestions and bug reports to:

Christian Schenk
Richard-Wagner-Str. 49
10585 Berlin
Germany

e-mail: cschenk@berlin.snafu.de


About Makertf

Makertf is a program that converts "Texinfo" files into "Rich Text Format" (RTF) files. It can be used to make WinHelp Files from GNU manuals and other documentation written in Texinfo.

Makertf is derived from GNU Makeinfo, which is a part of the GNU Texinfo documentation system.

Christian Schenk

cschenk@berlin.snafu.de